Open CASCADE Technology: IFSelect_Selection Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions
IFSelect_Selection Class Referenceabstract

A Selection allows to define a set of Interface Entities. Entities to be put on an output file should be identified in a way as independant from such or such execution as possible. This permits to handle comprehensive criteria, and to replay them when a new variant of an input file has to be processed. More...

`#include <IFSelect_Selection.hxx>`

Inheritance diagram for IFSelect_Selection:
[legend]

## Public Member Functions
virtual Interface_EntityIterator | RootResult (const Interface_Graph &G) const =0
| Returns the list of selected entities, computed from Input given as a Graph. Specific to each class of Selection Note that uniqueness of each entity is not required here This method can raise an exception as necessary. More...
Interface_EntityIterator | UniqueResult (const Interface_Graph &G) const
| Returns the list of selected entities, each of them beeing unique. Default definition works from RootResult. According HasUniqueResult, UniqueResult returns directly RootResult, or build a Unique Result from it with a Graph. More...
virtual Interface_EntityIterator | CompleteResult (const Interface_Graph &G) const
| Returns the list of entities involved by a Selection, i.e. UniqueResult plus the shared entities (directly or not) More...
virtual void | FillIterator (IFSelect_SelectionIterator &iter) const =0
| Puts in an Iterator the Selections from which "me" depends (there can be zero, or one, or a list). Specific to each class of Selection. More...
virtual TCollection_AsciiString | Label () const =0
| Returns a text which defines the criterium applied by a Selection (can be used to be printed, displayed ...) Specific to each class. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Protected Member Functions
virtual Standard_Boolean | HasUniqueResult () const
| Returns True if RootResult guarantees uniqueness for each Entity. Called by UniqueResult. Default answer is False. Can be redefined. More...

## Detailed Description

A Selection allows to define a set of Interface Entities. Entities to be put on an output file should be identified in a way as independant from such or such execution as possible. This permits to handle comprehensive criteria, and to replay them when a new variant of an input file has to be processed.

Its input can be, either an Interface Model (the very source), or another-other Selection(s) or any other ouput. All list computations start from an input Graph (from IFGraph)

## Member Function Documentation

virtual Interface_EntityIterator IFSelect_Selection::CompleteResult | ( | const Interface_Graph & | G | ) | const
| virtual

Returns the list of entities involved by a Selection, i.e. UniqueResult plus the shared entities (directly or not)

Reimplemented in IFSelect_SelectModelEntities.

virtual void IFSelect_Selection::FillIterator | ( | IFSelect_SelectionIterator & | iter | ) | const
| pure virtual

Puts in an Iterator the Selections from which "me" depends (there can be zero, or one, or a list). Specific to each class of Selection.

Implemented in IFSelect_SelectDeduct, IFSelect_SelectCombine, IFSelect_SelectControl, and IFSelect_SelectBase.

virtual Standard_Boolean IFSelect_Selection::HasUniqueResult | ( |  | ) | const
| protectedvirtual

Returns True if RootResult guarantees uniqueness for each Entity. Called by UniqueResult. Default answer is False. Can be redefined.

Reimplemented in IFSelect_SelectCombine, IFSelect_SelectRootComps, IFSelect_SelectRoots, IGESSelect_SelectDrawingFrom, IGESSelect_SelectSingleViewFrom, IFSelect_SelectDiff, and STEPSelections_SelectInstances.

virtual TCollection_AsciiString IFSelect_Selection::Label | ( |  | ) | const
| pure virtual

Returns a text which defines the criterium applied by a Selection (can be used to be printed, displayed ...) Specific to each class.

Implemented in IFSelect_SelectPointed, IFSelect_SelectAnyList, IFSelect_SelectSuite, IFSelect_SelectExplore, IFSelect_SelectExtract, IFSelect_SelectEntityNumber, IFSelect_SelectModelEntities, IGESSelect_SelectDrawingFrom, IGESSelect_SelectFromDrawing, IGESSelect_SelectFromSingleView, IGESSelect_SelectSingleViewFrom, IFSelect_SelectModelRoots, IFSelect_SelectSharing, IFSelect_SelectDiff, IFSelect_SelectIntersection, IFSelect_SelectShared, and IFSelect_SelectUnion.

virtual Interface_EntityIterator IFSelect_Selection::RootResult | ( | const Interface_Graph & | G | ) | const
| pure virtual

Returns the list of selected entities, computed from Input given as a Graph. Specific to each class of Selection Note that uniqueness of each entity is not required here This method can raise an exception as necessary.

Implemented in IFSelect_SelectPointed, IFSelect_SelectAnyList, IFSelect_SelectSuite, IFSelect_SelectSent, IFSelect_SelectExplore, IFSelect_SelectFlag, IFSelect_SelectExtract, IFSelect_SelectRootComps, IFSelect_SelectEntityNumber, IFSelect_SelectRoots, IGESSelect_SelectDrawingFrom, IGESSelect_SelectFromDrawing, IGESSelect_SelectFromSingleView, IGESSelect_SelectSingleViewFrom, IFSelect_SelectModelRoots, IFSelect_SelectSharing, IFSelect_SelectDiff, IFSelect_SelectIntersection, IFSelect_SelectModelEntities, IFSelect_SelectShared, IFSelect_SelectUnion, STEPSelections_SelectInstances, and STEPSelections_SelectForTransfer.

Interface_EntityIterator IFSelect_Selection::UniqueResult | ( | const Interface_Graph & | G | ) | const

Returns the list of selected entities, each of them beeing unique. Default definition works from RootResult. According HasUniqueResult, UniqueResult returns directly RootResult, or build a Unique Result from it with a Graph.

The documentation for this class was generated from the following file:

- IFSelect_Selection.hxx